function TeacherValueAdded_Statistics
clear; close all; clc;

%load teachers_math_graph;
%load teachers_read_graph;
load teachers_read_graph2;

% compute min, max of di hi Hi
display('min, max of di hi Hi');
[min(d), min(hi), min(Hi); max(d), max(hi), max(Hi)]

% compute quantiles of di hi Hi 
display('quantiles of di hi Hi ');
dist_d = zeros(9,1); for c=1:9, dist_d(c) = quantile(d ,c/10); end;
dist_h = zeros(9,1); for c=1:9, dist_h(c) = quantile(hi,c/10); end;
dist_H = zeros(9,1); for c=1:9, dist_H(c) = quantile(Hi,c/10); end;
Q_distr = [dist_d, dist_h, dist_H],

% compute mean, std of di hi Hi
display('mean, std of di hi Hi ');
[mean(d), mean(hi), mean(Hi); std(d), std(hi), std(Hi)]

% scaled histogram and exponential fit of di hi Hi
figure(1); subplot(1,3,1); 
[f, x] = hist(d, 30); bar(x, f / trapz(x, f)); hold on; % histogram
beta = fitdist(d,'Gamma'), supp = 0:.1:round(quantile(d,.99)); f = gampdf(supp,beta.a,beta.b); plot(supp,f,'black'); 

figure(1); subplot(1,3,2); 
[f, x] = hist(hi, 50); bar(x, f / trapz(x, f)); hold on; % histogram
beta = fitdist(hi,'Gamma'), supp = 0:.1:round(quantile(hi,.99)); f = gampdf(supp,beta.a,beta.b); plot(supp,f,'black');

figure(1); subplot(1,3,3); 
[f, x] = hist(Hi, 100); bar(x, f / trapz(x, f)); hold on; % histogram
beta = fitdist(Hi,'Gamma'), supp = 0:.1:round(quantile(Hi,.99)); f = gampdf(supp,beta.a,beta.b); plot(supp,f,'black');



